MDL-69308 travis: Bump min PHP requirement to 7.3